<?php

declare(strict_types=1);

namespace App\Framework\EventSourcing;

interface EventRecorder
{
    public function record(object $event): void;

    public function pullRecordedEvents(): array;

    public function clearRecordedEvents(): void;
}
